import moment from 'moment-timezone';

(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','javascripts/googleAnalytics/googleAnalytics.js','ga');

class Tracker {

  constructor(APP_category){
    this.APP_category = APP_category;
    ga('create', '', 'auto');
  }

  sendEvent(eventName,userID,data,timing){
    //console.log(timing);
    let sessionID = new Date().getTime() + '.' + Math.random().toString(36).substring(5);
    let momentFormat = moment.tz(new Date(), "America/Guayaquil").format('MM/DD/YYYY H:mm:ss.SSS');
    //console.log(momentFormat);
    let timestamp = momentFormat !== 'Invalid date' ? momentFormat : new Date();

    let dataEvent = {
        'dimension1': sessionID,
        'dimension2': timestamp,
        'dimension3': userID,
        'dimension4': data
    };
    if(timing!=undefined) dataEvent['metric1'] = timing;
    //console.log(dataEvent);
    ga('send', 'event', this.APP_category, eventName,'null',dataEvent)
  }

}

window.tracker = new Tracker('ESPOL_Consejerias_V1');
