const trackingPages = {'comparativo_carreras': start_estadistica_carrera_traking ,'riesgo_abandono_detalles': function callback(page){},'riesgo_abandono': function callback(page){},'estadistica_adicional':start_estadistica_traking,'historial_academico': function callback(page){},'materias_disponibles':start_materias_disponibles_tracking}

$(document).ready(function(){

  let page = window.location.pathname.split('/')[1];

  if(trackingPages[page]){
    let data = `page=${page}`;
    window.tracker.sendEvent('onLoad',window.global_matricula,data);
    trackingPages[page](page);
  }
});

function start_estadistica_carrera_traking(page){
  let start,timing;
  const limit = 2;
  const card_classes = ['estadisticas_carrera'];

  card_classes.forEach(function(className){

    $(`.${className}`).mouseenter(function(){start = Date.now();});

    $(`.${className}`).mouseleave(function(){
        timing = (Date.now() - start) / 1000;
        if(timing > limit){
          let data = `page=${page},target=${className},timing=${timing}`;
          window.tracker.sendEvent('mouseEnter',window.global_matricula,data,timing);
        }
    });
  });
}

function start_estadistica_traking(page){
  let start,timing;
  const limit = 2;
  const card_classes = ['estadisticas_carrera_card','comparativo_materia_card','dropout_card','informes_bienestar_card'];

  card_classes.forEach(function(className){

    $(`.${className}`).mouseenter(function(){start = Date.now();});

    $(`.${className}`).mouseleave(function(){
        timing = (Date.now() - start) / 1000;
        if(timing > limit){
          let data = `page=${page},target=${className},timing=${timing}`;
          window.tracker.sendEvent('mouseEnter',window.global_matricula,data,timing);
        }
    });
  });
}

function start_materias_disponibles_tracking(page){
  let start,timing;
  const limit = 2;
  const card_classes = ['materias_sugeridas_load_card','materias_sugeridas_gen_card'];

  card_classes.forEach(function(className){
    $(`#${className}`).mouseenter(function(){ start = Date.now();});

    $(`#${className}`).mouseleave(function(){
        timing = (Date.now() - start) / 1000;
        if(timing > limit){
          let data = `page=${page},target=${className},timing=${timing}`;
          window.tracker.sendEvent('mouseEnter',window.global_matricula,data,timing);
          //console.log("fuera de "+className,data);
        }
    });
  });
}

function start_historial_traking(page){
    $(`.hist_item`).click(function(){

       let subjectId = $(this).find("span").first().text();
       let data = `page=${page},target=${subjectId}`;
       window.tracker.sendEvent('onClick',window.global_matricula,data);

     });

    $('#par_rbt,#sem_rbt').click(function(){
      let subjectId = $('#mat_title').text().split(' - ')[0];
      let target = $(this).attr('id') === 'par_rbt' ? 'paralelo_estudiante':'todos_paralelos';
      let data = `page=${page},target=${target},subject=${subjectId}`;
      window.tracker.sendEvent('onChange',window.global_matricula,data);

    });
}

window.start_historial_traking = start_historial_traking;
