
global.atob = require("atob");
var isNumeric = require("isnumeric");


module.exports =
    {
        decode_token: function (param) {
            return decode_token(param);
        }
    };

function encode_token(param) {
    var encodedString = "data-undefined"
    if (isNumeric(param) == true && param.length == 9) {
        var s1 = param.substr(0, 4);
        var s2 = param.substr(4, 9);
        var s1_num = parseInt(s1);
        var s2_num = parseInt(s2);
        var anio = parseInt(new Date().getFullYear());
        var s3 = s2.split("").reverse().join("");
        var s4 = anio - s1;
        encodedString = (parseInt("1" + s3 + "" + s4) * anio).toString();
    }
    return btoa(encodedString);
}

function decode_token(param) {
    var decodedString = atob(param);
    if (isNumeric(decodedString) == true) {
        var anio = parseInt(new Date().getFullYear());
        var s1 = (parseInt(decodedString) / anio).toString();
        var ls1 = s1.length;
        var s2 = s1.substr(1, 5);
        var s3 = s1.substr(6, ls1);
        var s4 = anio - parseInt(s3);
        var s5 = s2.split("").reverse().join("");
        decodedString = s4 + "" + s5;
    }
    return decodedString;
}