
var express = require('express');
var router = express.Router();
var encoder = require('../utils/encoder');

/* GET home page. */
router.get('/', function(req, res, next) {
  //res.redirect('https://www.lalaproject.org/es/inicio/');
  res.render('index', { token: '',matricula:'000000000' });
});

router.get('/materias_disponibles', function(req, res, next) {
  res.render('materiasDisponibles', { token:req.query.token, matricula:encoder.decode_token(req.query.token)});
});

router.get('/comparativo_carreras', function(req, res, next) {
  res.render('comparativoCarreras', { token:req.query.token, matricula:encoder.decode_token(req.query.token)});
});

router.get('/historial_academico', function(req, res, next) {
  res.render('historialAcademico', { token:req.query.token, matricula:encoder.decode_token(req.query.token)});
});

router.get('/estadistica_adicional', function(req, res, next) {
  res.render('estadisticaAdicional', { token:req.query.token, matricula:encoder.decode_token(req.query.token)});
});

router.get('/riesgo_abandono', function(req, res, next) {
  res.render('riesgoAbandono', { token:req.query.token, matricula:encoder.decode_token(req.query.token)});
});

router.get('/riesgo_abandono_detalles', function(req, res, next) {
  res.render('riesgoAbandonoDetalles', { token:req.query.token, matricula:encoder.decode_token(req.query.token)});
});

router.get('/save_materias_sugeridas', function(req, res, next) {
  req.session.jsonmats = req.query.jsonmats;
  console.log(req.query.jsonmats);
  res.send("OK");
});

module.exports = router;
